slepc-3.21.1 2024-04-26
Report Typos and Errors

# SlepcSNPrintfScalar

Prints a PetscScalar variable to a string of given length.

### Synopsis

    #include "slepcsys.h"
    PetscErrorCode SlepcSNPrintfScalar(char *str,size_t len,PetscScalar val,PetscBool exp)

Not Collective

### Input Parameters

| str | - the string to print to
| len | - the length of str
| val | - scalar value to be printed
| exp | - to be used within an expression, print leading sign and parentheses in case of nonzero imaginary part

### See Also

PetscSNPrintf()

### Level

developer

### Location

src/sys/slepcutil.c

### Examples

src/eps/tutorials/ex18.c
src/pep/tutorials/nlevp/acoustic_wave_1d.c
src/pep/tutorials/nlevp/acoustic_wave_2d.c
Index of all sys routines
Table of Contents for all manual pages
Index of all manual pages